> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rest Stream



## OpenAPI

````yaml https://api.somya.ai/openapi.json post /elevenlabs/v1/text-to-speech/{voice_id}/stream
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /elevenlabs/v1/text-to-speech/{voice_id}/stream:
    post:
      tags:
        - revrag
      summary: Rest Stream
      operationId: rest_stream_elevenlabs_v1_text_to_speech__voice_id__stream_post
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            title: Voice Id
        - name: xi-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Xi-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevRagSynthesis'
      responses:
        '200':
          description: Successful Response
          content:
            audio/pcm: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RevRagSynthesis:
      properties:
        text:
          type: string
          maxLength: 2500
          minLength: 1
          title: Text
        language_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Code
        voice_settings:
          $ref: '#/components/schemas/VoiceSettings'
      type: object
      required:
        - text
      title: RevRagSynthesis
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceSettings:
      properties:
        speed:
          type: number
          maximum: 2
          minimum: 0.5
          title: Speed
          default: 1
      type: object
      title: VoiceSettings
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.